Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class ReportOutput

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              net.sourceforge.jsurveyor.ReportOutput

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class ReportOutput
extends javax.servlet.http.HttpServlet

Most of the standard code is taking from an example that Sean C. Sullivan made on this page: http://www.onjava.com/pub/a/onjava/2003/06/18/dynamic_files.html This converts the data from report into a pdf document.

Version:
  1.0
Author:
  Claus Methmann Christensen, Anders Spliid Hansen, Esben Iversen Hansen, Lars H Jensen, Marcus Overheu, Thomas Ramdal, Peter Thomsen
See Also:
  Serialized Form

Constructor Summary
`ReportOutput()` This is the deafult constructor for ReportOutput

Method Summary
`java.io.ByteArrayOutputStream` | `generatePDFDocument(javax.servlet.http.HttpServletRequest req, javax.servlet.ServletContext ctx)` The method generates a pdf document, getting all data from report, and setting it up.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportOutput

    public ReportOutput()

  This is the deafult constructor for ReportOutput

Method Detail

### generatePDFDocument

    public java.io.ByteArrayOutputStream generatePDFDocument(javax.servlet.http.HttpServletRequest req,
                                                             javax.servlet.ServletContext ctx)
                                                      throws com.lowagie.text.DocumentException

  The method generates a pdf document, getting all data from report, and setting it up.

  Parameters:
    `req` - HttpServletRequest
    `ctx` - ServletContext
  Returns:
    ByteArrayOutputStream
  Throws:
    `com.lowagie.text.DocumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD